tuple.hpp File Reference
Support for Serializing Various Types » Standard Library Support

Support for types found in <tuple> More...

`#include "cereal/cereal.hpp"`
`#include <tuple>`

Go to the source code of this file.

## Classes

struct | cereal::tuple_detail::char_seq_to_c_str< Cs >
| Creates a c string from a sequence of characters. More...
struct | cereal::tuple_detail::to_string_impl< Q, R, C >
| Converts a number into a sequence of characters. More...
struct | cereal::tuple_detail::to_string_impl< 0, R, C... >
| Base case with no quotient. More...
struct | cereal::tuple_detail::tuple_element_name< T >
| Generates a c string for a given index of a tuple. More...
struct | cereal::tuple_detail::serialize< Height >
struct | cereal::tuple_detail::serialize< 0 >

## Functions

template<class Archive , class ... Types>
void | cereal::CEREAL_SERIALIZE_FUNCTION_NAME (Archive &ar, std::tuple< Types... > &tuple)
| Serializing for std::tuple.

## Detailed Description

Support for types found in <tuple>